import { AxiosInstance } from 'axios';
import GlobalConfig from '../contracts/GlobalConfig';
import Config from '../contracts/Config';
import Request from '../api/Request';
declare module '@vuex-orm/core' {
    namespace Model {
        /**
         * The api client.
         */
        let axios: AxiosInstance | null;
        /**
         * The global api configuration for all models.
         */
        let globalApiConfig: GlobalConfig;
        /**
         * The api configuration for the model.
         */
        let apiConfig: Config;
        /**
         * Set the given axios instance.
         */
        function setAxios(axios: AxiosInstance): void;
        /**
         * Get the api instance.
         */
        function api(): Request;
    }
}
